Package org.bukkit.command

# Interface CommandSender

All Superinterfaces:
  `Audience`, `Permissible`, `Pointered`, `ServerOperator`

All Known Subinterfaces:
  `AbstractArrow`, `AbstractHorse`, `AbstractSkeleton`, `AbstractVillager`, `Ageable`, `Allay`, `Ambient`, `Animals`, `AreaEffectCloud`, `ArmorStand`, `Arrow`, `Axolotl`, `Bat`, `Bee`, `Blaze`, `BlockCommandSender`, `Boat`, `Boss`, `Breedable`, `Bucketable`, `Camel`, `Cat`, `CaveSpider`, `ChestBoat`, `ChestedHorse`, `Chicken`, `Cod`, `CollarColorable`, `CommandMinecart`, `ComplexEntityPart`, `ComplexLivingEntity`, `ConsoleCommandSender`, `Cow`, `Creature`, `Creeper`, `Damageable`, `Dolphin`, `Donkey`, `DragonFireball`, `Drowned`, `Egg`, `ElderGuardian`, `EnderCrystal`, `EnderDragon`, `EnderDragonPart`, `Enderman`, `Endermite`, `EnderPearl`, `EnderSignal`, `Entity`, `Evoker`, `EvokerFangs`, `ExperienceOrb`, `Explosive`, `ExplosiveMinecart`, `FallingBlock`, `Fireball`, `Firework`, `Fish`, `FishHook`, `Flying`, `Fox`, `Frog`, `Ghast`, `Giant`, `GlowItemFrame`, `GlowSquid`, `Goat`, `Golem`, `Guardian`, `Hanging`, `Hoglin`, `HopperMinecart`, `Horse`, `HumanEntity`, `Husk`, `Illager`, `Illusioner`, `IronGolem`, `Item`, `ItemFrame`, `LargeFireball`, `LeashHitch`, `LightningStrike`, `LingeringPotion`, `LivingEntity`, `Llama`, `LlamaSpit`, `MagmaCube`, `Marker`, `MessageCommandSender`, `Minecart`, `Mob`, `Monster`, `Mule`, `MushroomCow`, `NPC`, `Ocelot`, `Painting`, `Panda`, `Parrot`, `Phantom`, `Pig`, `Piglin`, `PiglinAbstract`, `PiglinBrute`, `PigZombie`, `Pillager`, `Player`, `PolarBear`, `PoweredMinecart`, `Projectile`, `ProxiedCommandSender`, `PufferFish`, `Rabbit`, `Raider`, `RangedEntity`, `Ravager`, `RemoteConsoleCommandSender`, `RideableMinecart`, `Salmon`, `SchoolableFish`, `Sheep`, `Shulker`, `ShulkerBullet`, `Silverfish`, `SizedFireball`, `Skeleton`, `SkeletonHorse`, `Slime`, `SmallFireball`, `Snowball`, `Snowman`, `SpawnerMinecart`, `SpectralArrow`, `Spellcaster`, `Spider`, `SplashPotion`, `Squid`, `Steerable`, `StorageMinecart`, `Stray`, `Strider`, `Tadpole`, `Tameable`, `ThrowableProjectile`, `ThrownExpBottle`, `ThrownPotion`, `TippedArrow`, `TNTPrimed`, `TraderLlama`, `Trident`, `TropicalFish`, `Turtle`, `Vehicle`, `Vex`, `Villager`, `Vindicator`, `WanderingTrader`, `Warden`, `WaterMob`, `Witch`, `Wither`, `WitherSkeleton`, `WitherSkull`, `Wolf`, `Zoglin`, `Zombie`, `ZombieHorse`, `ZombieVillager`

All Known Implementing Classes:
  `BufferedCommandSender`, `TimingsReportListener`

public interface CommandSender extends Audience, Permissible

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CommandSender.Spigot`

## Method Summary

Modifier and Type
Method
Description
`@NotNull String`
`getName()`
Gets the name of this command sender
`@NotNull Server`
`getServer()`
Returns the server instance that this command is running on
`Component`
`name()`
Gets the name of this command sender
`void`
`sendMessage(@NotNull String message)`
Sends this sender a message
`void`
`sendMessage(@NotNull String... messages)`
Sends this sender multiple messages
`default void`
`sendMessage(@NotNull net.md_5.bungee.api.chat.BaseComponent... components)`
Deprecated.
use `sendMessage(Identity, Component, MessageType)` instead
`void`
`sendMessage(@Nullable UUID sender, @NotNull String message)`
Sends this sender a message
`void`
`sendMessage(@Nullable UUID sender, @NotNull String... messages)`
Sends this sender multiple messages
`default void`
`sendMessage(Identity identity, Component message, MessageType type)`
Sends a player chat message from the entity represented by the given `Identity` to this `Audience` with the `ChatType` corresponding to the provided `MessageType`.
`default void`
`sendMessage(net.md_5.bungee.api.chat.BaseComponent component)`
Deprecated.
use `sendMessage(Identity, Component, MessageType)` instead
`default void`
`sendPlainMessage(@NotNull String message)`
Sends a plain message to the command sender.
`default void`
`sendRichMessage(@NotNull String message)`
Sends a message with the MiniMessage format to the command sender.
`@NotNull CommandSender.Spigot`
`spigot()`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, deleteMessage, deleteMessage, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### sendMessage

void sendMessage(@NotNull @NotNull String message)
Sends this sender a message

Parameters:
  `message` - Message to be displayed
See Also:
  - `Audience.sendMessage(net.kyori.adventure.text.Component)`

### sendMessage

void sendMessage(@NotNull @NotNull String... messages)
Sends this sender multiple messages

Parameters:
  `messages` - An array of messages to be displayed
See Also:
  - `Audience.sendMessage(net.kyori.adventure.text.Component)`

### sendMessage

void sendMessage(@Nullable @Nullable UUID sender, @NotNull @NotNull String message)
Sends this sender a message

Parameters:
  `message` - Message to be displayed
  `sender` - The sender of this message
See Also:
  - `Audience.sendMessage(net.kyori.adventure.identity.Identified, net.kyori.adventure.text.Component)`

### sendMessage

void sendMessage(@Nullable @Nullable UUID sender, @NotNull @NotNull String... messages)
Sends this sender multiple messages

Parameters:
  `messages` - An array of messages to be displayed
  `sender` - The sender of this message
See Also:
  - `Audience.sendMessage(net.kyori.adventure.identity.Identified, net.kyori.adventure.text.Component)`

### getServer

@NotNull @NotNull Server getServer()
Returns the server instance that this command is running on

Returns:
  Server instance

### getName

@NotNull @NotNull String getName()
Gets the name of this command sender

Returns:
  Name of the sender

### spigot

@NotNull @NotNull CommandSender.Spigot spigot()

### name

@NotNull Component name()
Gets the name of this command sender

Returns:
  Name of the sender

### sendMessage

default void sendMessage(@NotNull Identity identity, @NotNull Component message, @NotNull MessageType type)
Description copied from interface: `net.kyori.adventure.audience.Audience`
Sends a player chat message from the entity represented by the given `Identity` to this `Audience` with the `ChatType` corresponding to the provided `MessageType`.

Specified by:
  `sendMessage` in interface `Audience`
Parameters:
  `identity` - the identity of the source of the message
  `message` - a message
  `type` - the type
See Also:
  - `Component`

### sendRichMessage

default void sendRichMessage(@NotNull @NotNull String message)
Sends a message with the MiniMessage format to the command sender.

See MiniMessage docs for more information on the format.

Parameters:
  `message` - MiniMessage content

### sendPlainMessage

default void sendPlainMessage(@NotNull @NotNull String message)
Sends a plain message to the command sender.

Parameters:
  `message` - plain message

### sendMessage

@Deprecated default void sendMessage(@NotNull net.md_5.bungee.api.chat.BaseComponent component)
Deprecated.
use `sendMessage(Identity, Component, MessageType)` instead
Sends the component to the sender

If this sender does not support sending full components then the component will be sent as legacy text.

Parameters:
  `component` - the component to send

### sendMessage

@Deprecated default void sendMessage(@NotNull @NotNull net.md_5.bungee.api.chat.BaseComponent... components)
Deprecated.
use `sendMessage(Identity, Component, MessageType)` instead
Sends an array of components as a single message to the sender

If this sender does not support sending full components then the components will be sent as legacy text.

Parameters:
  `components` - the components to send